View Issue Details

IDProjectCategoryView StatusLast Update
00271532.x IDE BugsTile Set EditorPublic2018-10-25 17:09
ReporterStewart BishopAssigned ToAlan Savage 
PriorityHighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0027153: Tile Set Editor: Block users from creating tile sets from SWF or Spine sprites
DescriptionWhen checking out tile sets on the Mac IDE I thought I'd try making a tile set from a SWF and Spine sprite, turns out we don't block this and it does work (to a degree). Running your game with a SWF Sprite Tile Set will crash the runner as seen in the attached project and log however running with a Spine Sprite Tile Set will work although you've now lost the actual purpose of the Spine Sprite.

Ideally we should block you at the very first point of entry eg when selecting the sprite so that you can't even reach the same conclusions I have.
Steps To Reproduce1) Create a project
2) Create a tile set
3) Create a sprite
4) Import spine/swf sprite
5) Drag the sprite onto the dropper area for the tile set preview window

1) Create a project
2) Create a tile set
3) Create a sprite
4) Import spine/swf sprite
5) Drag the sprite onto the dropper area for the tile set's properties window

1) Create a project
2) Create a tile set
3) Click the new Sprite button on the tile set's properties window.
4) Import spine/swf sprite
TagsNo tags attached.
2.x IDE Found In2.1.0.183
2.x Runtime Found In2.1.0.119
2.x IDE Verified In2.2.1.355
2.x Runtime Verified In2.2.1.268

Relationships

related to 0029144 ClosedAlan Savage Tile Set Editor: "Select Sprite" has stopped showing grouped sprites 

Activities

Stewart Bishop

2017-07-20 11:39

Adminstrator  

TileSetsSWFSprite.yyz (10,535,760 bytes)
TileSetsSWFSpriteCrash.txt (46,488 bytes)
Process:               Mac_Runner [9438]
Path:                  /Users/Shared/*/YoYo Runner.app/Contents/MacOS/Mac_Runner
Identifier:            com.yoyogames.macyoyorunner
Version:               2.1.118 (2.1.118)
Code Type:             X86 (Native)
Parent Process:        ??? [1]
Responsible:           Mac_Runner [9438]
User ID:               502

Date/Time:             2017-07-20 11:12:23.344 +0100
OS Version:            Mac OS X 10.12.5 (16F73)
Report Version:        12
Anonymous UUID:        D77BEE9B-B216-083D-2645-7681192B7679


Time Awake Since Boot: 1400000 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000000000000
Exception Note:        EXC_CORPSE_NOTIFY

Termination Signal:    Segmentation fault: 11
Termination Reason:    Namespace SIGNAL, Code 0xb
Terminating Process:   exc handler [0]

VM Regions Near 0:
--> 
    __TEXT                 0000000000001000-0000000000535000 [ 5328K] r-x/rwx SM=COW  /Users/Shared/*/YoYo Runner.app/Contents/MacOS/Mac_Runner

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   com.yoyogames.macyoyorunner   	0x0014be29 CSprite::LoadFromChunk(YYSprite*, unsigned char*) + 233
1   com.yoyogames.macyoyorunner   	0x001528a2 Sprite_Load(unsigned char*, int, unsigned char*) + 258
2   com.yoyogames.macyoyorunner   	0x00140866 LoadGameData(void*, unsigned int) + 630
3   com.yoyogames.macyoyorunner   	0x00141a87 RunnerLoadWad() + 55
4   com.yoyogames.macyoyorunner   	0x00009117 BeginToEnd() + 583
5   com.yoyogames.macyoyorunner   	0x00005eee -[Mac_RunnerAppDelegate performGameStep] + 3134
6   com.yoyogames.macyoyorunner   	0x00006325 -[Mac_RunnerAppDelegate timerFunc:] + 53
7   com.apple.Foundation          	0x95a8f2a6 __NSFireTimer + 97
8   com.apple.CoreFoundation      	0x9426a996 __CFRUNLOOP_IS_CALLING_OUT_TO_A_TIMER_CALLBACK_FUNCTION__ + 22
9   com.apple.CoreFoundation      	0x9426a4ad __CFRunLoopDoTimer + 1213
10  com.apple.CoreFoundation      	0x94269f4e __CFRunLoopDoTimers + 350
11  com.apple.CoreFoundation      	0x94261910 __CFRunLoopRun + 2192
12  com.apple.CoreFoundation      	0x94260e1a CFRunLoopRunSpecific + 506
13  com.apple.CoreFoundation      	0x94260c0b CFRunLoopRunInMode + 123
14  com.apple.HIToolbox           	0x93954396 RunCurrentEventLoopInMode + 268
15  com.apple.HIToolbox           	0x93954182 ReceiveNextEventCommon + 494
16  com.apple.HIToolbox           	0x93953f7b _BlockUntilNextEventMatchingListInModeWithFilter + 83
17  com.apple.AppKit              	0x91f86015 _DPSNextEvent + 1227
18  com.apple.AppKit              	0x926ebbbb -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1742
19  com.apple.AppKit              	0x926eb4e5 -[NSApplication(NSEvent) nextEventMatchingMask:untilDate:inMode:dequeue:] + 132
20  com.apple.AppKit              	0x91f7acb6 -[NSApplication run] + 943
21  com.apple.AppKit              	0x91f47d1e NSApplicationMain + 1368
22  com.yoyogames.macyoyorunner   	0x000032b6 main + 358
23  com.yoyogames.macyoyorunner   	0x00003035 start + 53

Thread 1:
0   libsystem_kernel.dylib        	0xa1659cba __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0xa173cd06 _pthread_wqthread + 1210
2   libsystem_pthread.dylib       	0xa173c826 start_wqthread + 34

Thread 2:
0   libsystem_pthread.dylib       	0xa173c804 start_wqthread + 0
1   com.yoyogames.macyoyorunner   	0x000a0000 utf8_strcmp + 64

Thread 3:
0   libsystem_pthread.dylib       	0xa173c804 start_wqthread + 0
1   com.yoyogames.macyoyorunner   	0x000186a7 b2MotorJoint::SolveVelocityConstraints(b2SolverData const&) + 311

Thread 4:
0   libsystem_pthread.dylib       	0xa173c804 start_wqthread + 0
1   ???                           	0x00000001 0 + 1

Thread 5:: com.apple.NSEventThread
0   libsystem_kernel.dylib        	0xa165191e mach_msg_trap + 10
1   libsystem_kernel.dylib        	0xa1650e93 mach_msg + 51
2   com.apple.CoreFoundation      	0x94262276 __CFRunLoopServiceMachPort + 214
3   com.apple.CoreFoundation      	0x942616a8 __CFRunLoopRun + 1576
4   com.apple.CoreFoundation      	0x94260e1a CFRunLoopRunSpecific + 506
5   com.apple.CoreFoundation      	0x94260c0b CFRunLoopRunInMode + 123
6   com.apple.AppKit              	0x920c7177 _NSEventThread + 235
7   libsystem_pthread.dylib       	0xa173d047 _pthread_body + 184
8   libsystem_pthread.dylib       	0xa173cf8f _pthread_start + 243
9   libsystem_pthread.dylib       	0xa173c84a thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x00000000  ebx: 0x0b7fc248  ecx: 0x00691cb8  edx: 0x5ade6287
  edi: 0x665e2297  esi: 0x69ad7155  ebp: 0xbfffc8d8  esp: 0xbfffc880
   ss: 0x00000023  efl: 0x00210206  eip: 0x0014be29   cs: 0x0000001b
   ds: 0x00000023   es: 0x00000023   fs: 0x00000000   gs: 0x0000000f
  cr2: 0x00000000
  
Logical CPU:     2
Error Code:      0x00000006
Trap Number:     14


Binary Images:
    0x1000 -   0x534183 +com.yoyogames.macyoyorunner (2.1.118 - 2.1.118) <13BFC86C-0637-3E83-B0E8-921589672752> /Users/Shared/*/YoYo Runner.app/Contents/MacOS/Mac_Runner
  0xb7e000 -   0xbbcffb  com.apple.audio.midi.CoreMIDI (1.10 - 88) <CE948963-3D58-3AAB-BB7D-74B57672DFF5> /System/Library/Frameworks/CoreMIDI.framework/Versions/A/CoreMIDI
  0xbe2000 -   0xbf8ffb  libexpat.1.dylib (15) <07256ED1-AF86-3542-935E-41A2A3065B70> /usr/lib/libexpat.1.dylib
  0xc46000 -   0xc80a93  dyld (433.5) <96ACA788-B094-3081-ACE1-7CF125D4C435> /usr/lib/dyld
 0x50f0000 -  0x50f1ffb +libYoYoGamepad.dylib (0) <A1521E49-4DBD-3FF4-B0AB-EB0DFF4A15FB> /Users/Shared/*/YoYo Runner.app/Contents/Frameworks/libYoYoGamepad.dylib
 0x6d09000 -  0x6dc7ff3  com.apple.AMDRadeonX3000GLDriver (1.51.8 - 1.5.1) <898FC839-A588-3B78-A1F0-8FCA4954C3F4> /System/Library/Extensions/AMDRadeonX3000GLDriver.bundle/Contents/MacOS/AMDRadeonX3000GLDriver
 0x7800000 -  0x7a40ff3  ATIRadeonX3000SCLib.dylib (1.51.8.1) <63CA2F0E-7EA2-392D-91ED-7A7BC6BC2267> /System/Library/Extensions/AMDRadeonX3000GLDriver.bundle/Contents/MacOS/ATIRadeonX3000SCLib.dylib
0x3e000000 - 0x3e03fff7  com.apple.glut (3.6.9 - GLUT-3.6.9) <E546CCEC-00BB-355F-A916-B372AA6644F4> /System/Library/Frameworks/GLUT.framework/Versions/A/GLUT
0x90028000 - 0x90387ffb  com.apple.RawCamera.bundle (7.03 - 912) <234F78C8-222C-38F3-B2FD-5F03EE1D0146> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x90f00000 - 0x90f00fff  com.apple.Accelerate (1.11 - Accelerate 1.11) <07DD68BE-0B1D-36F1-8638-9A9C9BEF5FB0> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x90f01000 - 0x90f18ff3  libCGInterfaces.dylib (331.5) <FEBA4BB0-463D-3124-A55D-FA57FBC223CA> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
0x90f19000 - 0x9157ffe7  com.apple.vImage (8.1 - ???) <7B0881AC-2D51-3B61-9E9F-A5BF61626B13> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91580000 - 0x916ccff7  libBLAS.dylib (1185.50.4) <9CAD50C4-501C-36D9-9145-B04B70C0E1A0> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x916cd000 - 0x916dfffb  libBNNS.dylib (15) <B0298D30-EC0B-340E-B7AB-906D9DC7D56F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
0x916e0000 - 0x91a7bfff  libLAPACK.dylib (1185.50.4) <346C2F05-E331-3B29-A0CE-9269D8506E40> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x91a7c000 - 0x91a92ff7  libLinearAlgebra.dylib (1185.50.4) <CE633CC2-8976-3E6E-895F-86C97344B5FE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
0x91a93000 - 0x91aadff7  libSparseBLAS.dylib (1185.50.4) <4042DA23-23A7-3BD2-8AB7-9D115D8082D0> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
0x91aae000 - 0x91bfbfeb  libvDSP.dylib (600.60.1) <27276715-03C4-3DB5-8791-EC7F59847C0B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91bfc000 - 0x91cddff3  libvMisc.dylib (600.60.1) <D797F8AF-6608-3D5C-A4E0-D08A9A1036C4> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91cde000 - 0x91cdefff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <A62F02B5-224E-3A98-B2E2-74F9A34DC041> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91f41000 - 0x92ca5fff  com.apple.AppKit (6.9 - 1504.83.101) <11FEBC5C-5A04-3ACC-94EE-9BEE77F606DF> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x92cb7000 - 0x92cb7fff  com.apple.ApplicationServices (48 - 48) <5E01C894-F1DA-3F91-B69D-7BF59902E3CB> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x92cb8000 - 0x92d26fff  com.apple.ApplicationServices.ATS (377 - 422.2) <99C0615C-08A5-3BAE-92AB-58E5F1041505> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x92dbf000 - 0x92eedfff  libFontParser.dylib (194.12) <C211A6FD-569D-3B42-A6A8-D9E8AB579D46> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x92eee000 - 0x92f3aff3  libFontRegistry.dylib (196.4) <A1D44EE8-95AB-3C75-913F-20619767BC3F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x92f3b000 - 0x92f6eff3  libTrueTypeScaler.dylib (194.12) <785EE917-A09E-3C1C-A7BC-567744CF7A41> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x92fdb000 - 0x9308bffb  com.apple.ColorSync (4.12.0 - 502.2) <17F3BA77-6DF6-3289-B400-558E31AF8013> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9308c000 - 0x930e3fff  com.apple.HIServices (1.22 - 592.1) <C5EA04CF-E250-361C-8C88-65D87A7845C8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x930e4000 - 0x930f3ff7  com.apple.LangAnalysis (1.7.0 - 1.7.0) <86FEA0B2-0308-3C26-971C-C8C1640BFAA2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x930f4000 - 0x9314cffb  com.apple.print.framework.PrintCore (12 - 491) <8870E9A1-E705-3DA5-AA14-6184A38AD39A> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9314d000 - 0x931e7ff3  com.apple.QD (3.12 - 313) <DE1DE23A-B209-3B99-9001-8C21CA3C09E1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x931e8000 - 0x931f4ff3  com.apple.speech.synthesis.framework (6.6.2 - 6.6.2) <D5D87F3A-3105-34F1-82B9-59E8CE4E9D49> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x931f5000 - 0x933e3ff3  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <8751F84D-9369-3550-B218-1A1FC7C6CE4D> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x933e4000 - 0x933e4fff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <B07973BD-48BB-38F1-A65C-09222DF4E52C> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x93546000 - 0x93901fff  com.apple.CFNetwork (811.5.4 - 811.5.4) <70AF1C6F-AA9C-3A8E-A766-02656438A94D> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9391b000 - 0x9391bfff  com.apple.Carbon (154 - 157) <2574F3CF-9950-3D38-B3D9-55339C9076B8> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x9391c000 - 0x93925ff3  com.apple.audio.SoundManager (4.2 - 4.2) <3CE4F1DF-6E04-35FE-834C-F6F547C6EB49> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93926000 - 0x9392aff3  com.apple.CommonPanels (1.2.6 - 98) <774D72F5-E2A7-3D41-B9F0-A3B304EA1EF8> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9392b000 - 0x93cc9ff3  com.apple.HIToolbox (2.1.1 - 857.8) <E62A293D-1EC8-3A7A-B301-D0783B951B51> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x93cca000 - 0x93d1dff3  com.apple.htmlrendering (77 - 1.1.4) <63E24D19-37E0-3168-9044-F03FD48443EE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x93d1e000 - 0x93d21fff  com.apple.help (1.3.5 - 49) <26817567-717B-3837-904B-B8B2E9DC937C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x93d22000 - 0x93d27ffb  com.apple.ImageCapture (9.0 - 9.0) <4E6D02A0-3146-3DA8-B089-F77D79E872EA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x93d28000 - 0x93dc7fff  com.apple.ink.framework (10.9 - 219) <44F4216A-0167-36D2-97D1-7ACF37620D24> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x93dc8000 - 0x93e03fff  com.apple.NavigationServices (3.8 - 225) <0C2FBA44-C5C4-3AEC-B863-465F9023C147> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x93e04000 - 0x93e20ffb  com.apple.openscripting (1.7 - 172) <50B7261F-3666-38E5-9824-F996426417C2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x93e21000 - 0x93e26ff3  com.apple.print.framework.Print (12 - 267) <73DDC3C0-6D10-3464-B408-4A8D03674987> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x93e27000 - 0x93e29fff  com.apple.securityhi (9.0 - 55006) <BDCED392-5DF4-36ED-A4CA-3028C1C08A65> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x93e2a000 - 0x93e30ff3  com.apple.speech.recognition.framework (6.0.1 - 6.0.1) <C97F9B27-4461-37B3-AAD2-8A76B9E375BE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x93e31000 - 0x93e31fff  com.apple.Cocoa (6.11 - 22) <7ED9CC12-AF69-384E-98FF-6CA850B8C8D0> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x93e3f000 - 0x93ed5ff3  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <D03A971D-6EEE-3D03-8D7F-729AB9F347FE> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x93ed6000 - 0x93ee8ffb  com.apple.CoreBluetooth (1.0 - 1) <3FA355A2-A9A5-3787-BA8F-9245F9BB5880> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
0x93ee9000 - 0x941d4fff  com.apple.CoreData (120 - 754.2) <C194ADF9-DC92-38FA-B078-E52AD65B9618> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x941dc000 - 0x9467cfff  com.apple.CoreFoundation (6.9 - 1349.8) <4E5D12EC-C5E7-3DD9-AFE7-CBE1CAE3C153> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x9467d000 - 0x94d25ff3  com.apple.CoreGraphics (2.0 - 1070.22) <DA6C0319-C040-3F2E-A39C-273F3548E722> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x94d26000 - 0x94f5cff3  com.apple.CoreImage (12.4.0 - 451.4.9) <113256F2-0EA3-377E-95CF-E0E9D760EEB8> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
0x950cb000 - 0x950cbfff  com.apple.CoreServices (775.19 - 775.19) <11C45C1C-C281-33BC-95AA-1EADAC0DFC31> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x950cc000 - 0x9511effb  com.apple.AE (712.5 - 712.5) <0BDA9D80-3698-39DB-B481-465DE086373F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9511f000 - 0x95400fff  com.apple.CoreServices.CarbonCore (1159.6 - 1159.6) <AA015A43-6E6B-3847-B038-F2A7DB7C118F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x95401000 - 0x95434ffb  com.apple.DictionaryServices (1.2 - 274) <CC6AA628-EB43-3B3A-8AE6-805EE2002FF8> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x95435000 - 0x9543cfff  com.apple.CoreServices.FSEvents (1230.50.1 - 1230.50.1) <7A90D2ED-0691-3B19-8262-7A75D4EFF3C0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
0x9543d000 - 0x95561ffb  com.apple.LaunchServices (775.19 - 775.19) <035E7791-CA95-3F26-9D58-579C70F3023E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x95562000 - 0x95610fff  com.apple.Metadata (10.7.0 - 1075.40) <F6A4BEB4-C98D-3076-8039-AD329169EAD8> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x95611000 - 0x95671ff3  com.apple.CoreServices.OSServices (775.19 - 775.19) <E215E269-FF20-3751-A4B2-F38402160A5F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x95672000 - 0x956e3fff  com.apple.SearchKit (1.4.0 - 1.4.0) <B24493AC-5CF8-350F-849F-AFC86626B6AB> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x956e4000 - 0x95729ffb  com.apple.coreservices.SharedFileList (38 - 38) <4E430C06-0D25-3C59-8932-C473601076B9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
0x9572a000 - 0x9586efff  com.apple.CoreText (352.0 - 544.15) <A928083F-A0C7-31BE-9617-A6AC5F3B559F> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
0x9586f000 - 0x958a6ffb  com.apple.CoreVideo (1.8 - 235.3) <8D6170FA-8A23-3688-93BF-0064515862D9> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x958a7000 - 0x95916ff3  com.apple.framework.CoreWLAN (11.0 - 1200.31) <77ED2C61-9E8D-3D2D-AD3D-ED83EC89906C> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
0x959e5000 - 0x959eeff7  com.apple.DiskArbitration (2.7 - 2.7) <B1FDBE67-397D-3AE2-A616-B9FACD873428> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x959f2000 - 0x95d5eff3  com.apple.Foundation (6.9 - 1349.81) <229460F0-E144-3540-8E78-359292A57C40> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x95d5f000 - 0x95d8fff3  com.apple.GSS (4.0 - 2.0) <256987F7-ACFC-34B6-92E6-8E38E7B54482> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
0x95d91000 - 0x95e33ffb  com.apple.Bluetooth (5.0.4 - 5.0.4f18) <292D31F1-9F63-373A-A368-3069844AA25E> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
0x95e34000 - 0x95ecffff  com.apple.framework.IOKit (2.0.2 - 1324.60.3) <BB7AF534-18E3-3EBB-9B00-3A8E2F4A63FA> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x95ed0000 - 0x95ed6fff  com.apple.IOSurface (159.7 - 159.7) <A981CAE2-6E1A-3D65-ACEC-4CC766DE51CC> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x95f2a000 - 0x9608dffb  com.apple.ImageIO.framework (3.3.0 - 1599.10.2) <24A0651C-FE33-31E6-8A9D-80D389C201B1> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9608e000 - 0x96091ffb  libGIF.dylib (1599.10.2) <A91D96AE-8197-3F58-9B94-CC786DAF5E48> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x96092000 - 0x9618aff3  libJP2.dylib (1599.10.2) <370147CD-E954-38A8-B0B8-91C8A962D8B5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x9618b000 - 0x961aeff7  libJPEG.dylib (1599.10.2) <0F9B7E00-FBA8-3644-A250-459D5FFE73C6> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x961af000 - 0x961d5ff3  libPng.dylib (1599.10.2) <D7557A23-0F23-38A3-9D68-8298107F100F> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x961d6000 - 0x961d8ffb  libRadiance.dylib (1599.10.2) <BE58DE47-534D-3C6E-9474-F2481B4D81D3> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x961d9000 - 0x96224ffb  libTIFF.dylib (1599.10.2) <E4AA8DCA-A7B9-32E6-9AB5-50186F5AE6E3> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x96228000 - 0x96a38ff7  com.apple.JavaScriptCore (12603 - 12603.2.4) <EC92C230-2F13-302B-84FC-4584822A3550> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x96a39000 - 0x96a51fff  com.apple.Kerberos (3.0 - 1) <B97BE0B5-7B7E-377F-BE18-F6CE7B835375> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x96ffa000 - 0x9704fffb  com.apple.Metal (87.18 - 87.18) <981C381E-389A-3BEC-B3C5-692C6A5836B5> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
0x97050000 - 0x97058fff  com.apple.NetFS (6.0 - 4.0) <E8D6B0D9-E100-31EA-9C2D-39C118D77AC8> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x970bc000 - 0x970c4ff7  libcldcpuengine.dylib (2.8.5) <E996F138-0C99-3C1E-B2DF-35BEBAF4BEBC> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib
0x97298000 - 0x972e4fff  com.apple.opencl (2.8.6 - 2.8.6) <A77E19FC-CD65-32B4-935B-66DE1D576A5E> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x972e5000 - 0x972fefff  com.apple.CFOpenDirectory (10.12 - 194) <FABB4E0C-9103-3F42-B4D8-DC796B239268> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x972ff000 - 0x9730afff  com.apple.OpenDirectory (10.12 - 194) <43B21203-FF03-348A-A231-FB7BE6F1B025> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x9730b000 - 0x9730dfff  libCVMSPluginSupport.dylib (14.0.16) <4D225D40-A98F-3E2B-8B86-7216F0F7F795> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
0x9730e000 - 0x97311fff  libCoreFSCache.dylib (156.3) <9AA959E0-5172-392C-862D-45EF56888363> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
0x97312000 - 0x97316fff  libCoreVMClient.dylib (156.3) <81A24375-7B31-3751-AB8F-A98D7D7F8B42> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x97317000 - 0x97320ff7  libGFXShared.dylib (14.0.16) <497A8F4C-2151-3EBA-AB95-46AD9A33FE05> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x97321000 - 0x9732dfff  libGL.dylib (14.0.16) <8891E9DF-B56B-306C-BA23-06AA4039199E> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x9732e000 - 0x9736bfeb  libGLImage.dylib (14.0.16) <C93D675E-B7BF-3819-A921-2F21DBC42746> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x9736c000 - 0x974f0ff7  libGLProgrammability.dylib (14.0.16) <859B83F8-AD57-3577-8DF3-56381F716C0C> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x974f1000 - 0x97535fff  libGLU.dylib (14.0.16) <49E3E4E8-EE7B-33C6-A54A-A616198A1BE8> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x97f04000 - 0x97f12fff  com.apple.opengl (14.0.16 - 14.0.16) <D7899AAA-A0B5-39F1-81BE-2E69D5AF6D55> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x97f13000 - 0x980afffb  GLEngine (14.0.16) <11A26FEF-3125-36EB-B3EE-0AF7BA156583> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLEngine.bundle/GLEngine
0x980b0000 - 0x980dcff7  GLRendererFloat (14.0.16) <FC394056-FD68-3735-B42B-DB6502CB2815> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x98bb3000 - 0x98db4ff7  com.apple.QuartzCore (1.11 - 453.39.3) <60B40AB4-1613-3E9D-ACCA-901DEB7FFB4D> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x99081000 - 0x9939dfff  com.apple.security (7.0 - 57740.60.18) <DBFD2FD1-37E5-30C6-98C0-ED5389252380> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x9939e000 - 0x99410ffb  com.apple.securityfoundation (6.0 - 55132.50.7) <3D65AA02-C211-3507-9AE4-5836D1C32A33> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9943a000 - 0x9943dfff  com.apple.xpc.ServiceManagement (1.0 - 1) <C2C3C89E-D269-3905-B3D3-079BD1588167> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
0x9943e000 - 0x99449ffb  com.apple.StoreKit (1.0 - 583.17) <9A55B85C-54F8-3CE6-833A-B70A7EC79F80> /System/Library/Frameworks/StoreKit.framework/Versions/A/StoreKit
0x9956e000 - 0x995dffff  com.apple.SystemConfiguration (1.14 - 1.14) <CC03B4D7-5F8A-3259-8A03-DDE62C35946A> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x99979000 - 0x9ac95ff3  com.apple.WebCore (12603 - 12603.2.4) <E985FCE8-8624-3342-BD03-DAB19B9D5E7F> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x9ac96000 - 0x9ae2fffb  com.apple.WebKitLegacy (12603 - 12603.2.4) <02507D0F-5556-31CA-AC7D-C667C0A6903C> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebKitLegacy.framework/Versions/A/WebKitLegacy
0x9ae30000 - 0x9b145fff  com.apple.WebKit (12603 - 12603.2.4) <82BA0E36-E9B6-33FF-9421-C737C16479D9> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x9b8a8000 - 0x9b8c4fff  com.apple.AppContainer (4.0 - 307.50.21) <B76C2BBE-D71D-3EB3-BFEF-59E83C5E1227> /System/Library/PrivateFrameworks/AppContainer.framework/Versions/A/AppContainer
0x9b8c5000 - 0x9b8d2fff  com.apple.AppSandbox (4.0 - 307.50.21) <6B492B1C-2304-3D5C-A3E3-EC04D9F3C25C> /System/Library/PrivateFrameworks/AppSandbox.framework/Versions/A/AppSandbox
0x9b8d3000 - 0x9b8f7ff3  com.apple.framework.Apple80211 (12.0 - 1200.47) <F3951396-1D41-335C-85A2-F499E1834CDE> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
0x9b8f8000 - 0x9b902fff  com.apple.AppleFSCompression (88.50.3 - 1.0) <D9CD4908-1115-3C3E-A68D-A29DA53D1D73> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
0x9b9cf000 - 0x9ba0cff7  com.apple.AppleJPEG (1.0 - 1) <BA15D3C3-FB23-3DF3-B025-7CD8ED30F788> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
0x9ba86000 - 0x9bb09ff7  com.apple.backup.framework (1.8.5 - 1.8.5) <4E4358E3-F5C2-33AD-964D-71197EB4ABE3> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x9bfa1000 - 0x9bfacff3  com.apple.CommerceCore (1.0 - 583.17) <659344ED-A0D6-3D1D-9CE8-E176D738459C> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
0x9bfad000 - 0x9bfb6ffb  com.apple.CommonAuth (4.0 - 2.0) <BB13A6A9-75A4-320F-9E8D-6099B442AE56> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
0x9c3e7000 - 0x9c3f8ff7  com.apple.CoreEmoji (1.0 - 40.3.3) <EE19390D-6C78-3771-91F8-265CE0D70D71> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
0x9c4b2000 - 0x9c4e3ff7  com.apple.CoreServicesInternal (276.2 - 276.2) <A00DD1F8-0733-38F9-A031-B766A6D84789> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
0x9c4e4000 - 0x9c575fff  com.apple.CoreSymbolication (62046) <18B3B44B-220E-3C58-8A4E-2F2DF933FB56> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
0x9c576000 - 0x9c6a5fff  com.apple.coreui (2.1 - 431.3) <8E73F90D-2586-39D0-8201-1B74E9877AEF> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x9c6a6000 - 0x9c73dffb  com.apple.CoreUtils (5.1 - 510.31) <2F5896D6-AB86-3907-AB57-E02807F35CDF> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
0x9c78b000 - 0x9c7ebff3  com.apple.framework.CoreWiFi (12.0 - 1200.31) <5279FABA-CA58-3572-AE30-536FD9130A96> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
0x9c7ec000 - 0x9c7fafff  com.apple.CrashReporterSupport (10.12 - 827) <82CF35EA-B247-389A-96B5-CFCDF011C06E> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x9c86b000 - 0x9c875ff7  com.apple.framework.DFRFoundation (1.0 - 104.25) <4133CA86-67B8-31A0-8389-F07123073D10> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
0x9c89c000 - 0x9c90bff3  com.apple.datadetectorscore (7.0 - 539.1) <EF3EA170-5FBB-3969-AFFE-6B92A6256618> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x9c90c000 - 0x9c94cff3  com.apple.DebugSymbols (137 - 137) <0720B1A1-6FB6-32A8-9E31-660AC2CE7C2F> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
0x9c94d000 - 0x9ca6cff3  com.apple.desktopservices (1.11.5 - 1.11.5) <B06A383B-DAEE-3F8E-AF0B-B8091B1DB779> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x9cc76000 - 0x9d0a7ff3  com.apple.vision.FaceCore (3.3.2 - 3.3.2) <798121FB-1A1D-3629-A0D4-D4938D4AA2AF> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
0x9d424000 - 0x9d424fff  libmetal_timestamp.dylib (600.0.49.9) <C6CBAAF3-4368-3B41-835A-706391EFC128> /System/Library/PrivateFrameworks/GPUCompiler.framework/libmetal_timestamp.dylib
0x9d430000 - 0x9d43affb  libGPUSupportMercury.dylib (14.0.16) <143C71FF-A1C9-362A-A249-2646BD61AEEF> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupportMercury.dylib
0x9d6bf000 - 0x9d6daffb  com.apple.GenerationalStorage (2.0 - 267.1) <DC2A20B1-1C87-39B6-8FE8-1AAC131E32F3> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
0x9dd7a000 - 0x9ddefff3  com.apple.Heimdal (4.0 - 2.0) <5DCE2A77-3E72-3E92-B6C9-09460E65A5DA> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
0x9df8f000 - 0x9df95fff  com.apple.IOAccelerator (311.13 - 311.13) <93F615C6-D2BF-338B-9239-238F337BC477> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
0x9df96000 - 0x9dfbcffb  com.apple.IconServices (74.4 - 74.4) <97583C5E-4B3F-3918-96EE-C1159B32D071> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
0x9dffe000 - 0x9e1bcff7  com.apple.LanguageModeling (1.0 - 123.2.5) <E96DA388-C68E-35CF-8E07-C1CAF203BB6C> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
0x9e433000 - 0x9e45bffb  com.apple.MultitouchSupport.framework (368.16 - 368.16) <23698273-C910-369C-9F55-C965AA5EA8A7> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x9e45c000 - 0x9e466fff  com.apple.NetAuth (6.2 - 6.2) <7FE6A51E-B502-37EA-ABD6-297A5C66DAA7> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
0x9e586000 - 0x9e5c3ff7  com.apple.PerformanceAnalysis (1.148.3 - 148.3) <862CED48-6A95-3ECE-9D2A-5306DC3C7FC6> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
0x9e64d000 - 0x9e666ff3  com.apple.ProtocolBuffer (1 - 249.1) <9F888605-F294-30D5-B4E9-5E284DD5FB61> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
0x9e677000 - 0x9e69affb  com.apple.RemoteViewServices (2.0 - 124) <ED897A3C-10F2-3A44-9984-E2F7DBD25D98> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
0x9e6c4000 - 0x9e6c7fff  com.apple.SecCodeWrapper (4.0 - 307.50.21) <C20B97A8-DB1C-3F08-AC42-E039CB74CC7F> /System/Library/PrivateFrameworks/SecCodeWrapper.framework/Versions/A/SecCodeWrapper
0x9e6cd000 - 0x9e6faff3  com.apple.Sharing (696.2.67 - 696.2.67) <E50C1A68-F269-3663-A67D-D685CEA79C30> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
0x9e71a000 - 0x9e795ff7  com.apple.SkyLight (1.600.0 - 170.3) <8EA11465-8880-398F-8D91-451A0FFA56A0> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
0x9e796000 - 0x9e7a3ff3  com.apple.SpeechRecognitionCore (3.3.2 - 3.3.2) <01C8A0BE-FF1E-3000-AF50-2D9D44C8FAAB> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
0x9ea95000 - 0x9eb02fff  com.apple.Symbolication (62048.1) <A36749DD-ED57-34C5-A933-0E75B32637EC> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
0x9eb30000 - 0x9eb36fff  com.apple.TCC (1.0 - 1) <7D0D74D0-EDB3-3821-A883-3007AA98C74A> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
0x9eb37000 - 0x9eb4eff3  com.apple.TextureIO (2.8 - 2.8) <D8D6306E-5F72-3C43-BDE2-B8C031E1CFEE> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
0x9eb4f000 - 0x9eb50fff  com.apple.TrustEvaluationAgent (2.0 - 28.50.1) <A0A65AB2-99F5-39AB-A4A9-9F5FE1F3C12A> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x9eb51000 - 0x9ecc3fff  com.apple.UIFoundation (1.0 - 490.7) <1823A486-DE5F-3BB9-8ABE-42BC116A4301> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
0x9efa0000 - 0x9f05afff  com.apple.ViewBridge (283 - 283) <86746E52-B456-3E97-ADAC-EA35746A4119> /System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBridge
0x9f0be000 - 0x9f0c4fff  com.apple.XPCService (2.0 - 1) <189D392A-2780-30E9-B5AC-E60C36B57CA2> /System/Library/PrivateFrameworks/XPCService.framework/Versions/A/XPCService
0x9f149000 - 0x9f14bfff  com.apple.loginsupport (1.0 - 1) <8CE2E4E1-B94B-3D79-8AF3-9BB672CDCB8F> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
0x9fc9c000 - 0x9fcb7ffb  libCRFSuite.dylib (34) <5BAC9EFA-7D2F-3D27-B9CE-A4B2D67C2D61> /usr/lib/libCRFSuite.dylib
0x9fcb8000 - 0x9fcc1ff7  libChineseTokenizer.dylib (21) <86CAA68B-DE35-3043-8A06-07BDB30DD2EE> /usr/lib/libChineseTokenizer.dylib
0x9fd60000 - 0x9fd61fff  libDiagnosticMessagesClient.dylib (102) <8A7663AE-3DF2-3C59-AA9E-60C64662B502> /usr/lib/libDiagnosticMessagesClient.dylib
0x9fd62000 - 0x9ff93ffb  libFosl_dynamic.dylib (16.39) <432336BE-6E32-3059-94A3-32624E25EA3B> /usr/lib/libFosl_dynamic.dylib
0x9ffa3000 - 0x9ffaafff  libMatch.1.dylib (27) <9239CA29-9B0D-3109-BAA3-52D06230874F> /usr/lib/libMatch.1.dylib
0x9ffab000 - 0x9ffabfff  libOpenScriptingUtil.dylib (172) <04E62541-16C8-32FA-8DC5-38571B7C4E2D> /usr/lib/libOpenScriptingUtil.dylib
0x9ffac000 - 0x9ffb0ff7  libScreenReader.dylib (477.40.6) <455F97A5-624F-3B50-9267-7A19C353DD2E> /usr/lib/libScreenReader.dylib
0x9ffb1000 - 0x9ffb2fff  libSystem.B.dylib (1238.60.2) <150FD3D4-7CF5-36FD-811F-A4CE6853FB18> /usr/lib/libSystem.B.dylib
0x9ffb3000 - 0x9ffdfff7  libarchive.2.dylib (41.50.2) <26FD0CF5-9AFA-356B-B893-589342EBA59B> /usr/lib/libarchive.2.dylib
0x9ffe0000 - 0xa0124ff3  libate.dylib (1.12.13) <A27B078E-9361-31FF-8471-F229596AEB30> /usr/lib/libate.dylib
0xa0128000 - 0xa0128ff3  libauto.dylib (187) <C5D7553D-3FA3-3684-BB0A-52017BF911DC> /usr/lib/libauto.dylib
0xa0129000 - 0xa0139fff  libbsm.0.dylib (34) <6B938CF1-9249-3466-8A0C-477718FD2C7B> /usr/lib/libbsm.0.dylib
0xa013a000 - 0xa0147ff7  libbz2.1.0.dylib (38) <5BA818A7-747A-38AF-97A5-06FD557B1B7B> /usr/lib/libbz2.1.0.dylib
0xa0148000 - 0xa019efff  libc++.1.dylib (307.5) <B37B3953-651E-3161-9E96-64F7A0219F49> /usr/lib/libc++.1.dylib
0xa019f000 - 0xa01c2ff3  libc++abi.dylib (307.3) <0E02B3E2-234D-3814-8585-31AA601BB02D> /usr/lib/libc++abi.dylib
0xa01c3000 - 0xa01d4ff7  libcmph.dylib (6) <04896475-3BC1-30FC-B34B-F091AF65E1CD> /usr/lib/libcmph.dylib
0xa01d5000 - 0xa01e8ff7  libcompression.dylib (39) <29DB1BE4-E517-3317-BF40-76C4C3754B9A> /usr/lib/libcompression.dylib
0xa01e9000 - 0xa01e9fff  libcoretls.dylib (121.50.4) <03981616-D8D7-3A03-BA50-6F7F6682040D> /usr/lib/libcoretls.dylib
0xa01ea000 - 0xa01ebfff  libcoretls_cfhelpers.dylib (121.50.4) <5030E367-A1BA-3EE7-A0AA-DF91C6DFEFAC> /usr/lib/libcoretls_cfhelpers.dylib
0xa028e000 - 0xa037dfff  libcrypto.0.9.8.dylib (64.50.6) <1BD055C8-5945-30B9-85E3-F5B20547EDDA> /usr/lib/libcrypto.0.9.8.dylib
0xa052f000 - 0xa0584fff  libcups.2.dylib (450) <AE20D705-B2E7-3C44-89DA-FE30AF870A20> /usr/lib/libcups.2.dylib
0xa05f3000 - 0xa05f3fff  libenergytrace.dylib (15) <0A18EAA7-EF49-312B-82A2-31A2A7C93860> /usr/lib/libenergytrace.dylib
0xa0602000 - 0xa0606fff  libheimdal-asn1.dylib (498.50.8) <35D06F83-C6E1-3BAC-A0E3-AE7F2E1D41D5> /usr/lib/libheimdal-asn1.dylib
0xa0607000 - 0xa06f7ff3  libiconv.2.dylib (50) <34E6F33E-A727-3A53-8661-3F6380019B65> /usr/lib/libiconv.2.dylib
0xa06f8000 - 0xa0915ff7  libicucore.A.dylib (57165.0.1) <074D3AEE-D9E7-3DD0-8975-45E808EC991F> /usr/lib/libicucore.A.dylib
0xa091b000 - 0xa091cfff  liblangid.dylib (126) <34E46B19-A065-3BBC-BBC0-2BE5E313D444> /usr/lib/liblangid.dylib
0xa091d000 - 0xa0936ff7  liblzma.5.dylib (10) <F1C46DE7-44C7-34CD-A9CF-56B204A31965> /usr/lib/liblzma.5.dylib
0xa0937000 - 0xa094cff3  libmarisa.dylib (5) <8D7F217C-A53D-39A6-A13B-00B901EA1E22> /usr/lib/libmarisa.dylib
0xa094d000 - 0xa0bffffb  libmecabra.dylib (744.8) <D21ADFC1-4A7C-3F42-B917-C087FDFA5ACB> /usr/lib/libmecabra.dylib
0xa0c30000 - 0xa0ca9fff  libnetwork.dylib (856.60.1) <C9875FC0-2557-358F-B0A6-EEB62DEFA9DD> /usr/lib/libnetwork.dylib
0xa0caa000 - 0xa106ed83  libobjc.A.dylib (709) <A32B2573-CC08-3053-A005-4AFC9FC0E4CE> /usr/lib/libobjc.A.dylib
0xa1070000 - 0xa1073fff  libpam.2.dylib (21.30.1) <CF96FBCD-8AD7-3022-BEF4-938DBFA38507> /usr/lib/libpam.2.dylib
0xa1074000 - 0xa10a3fff  libpcap.A.dylib (67.60.1) <06086EE9-AE30-3186-A869-D9810AE10213> /usr/lib/libpcap.A.dylib
0xa10a4000 - 0xa10c0ffb  libresolv.9.dylib (64) <FC3630FB-0289-3A80-AF06-7F29BD2B9E5C> /usr/lib/libresolv.9.dylib
0xa10c1000 - 0xa10f8fff  libsandbox.1.dylib (592.60.1) <D682CDA4-AF95-3B7E-BCCC-67B34CC73DF4> /usr/lib/libsandbox.1.dylib
0xa110b000 - 0xa1254ff7  libsqlite3.dylib (254.7) <677A5EB1-5347-3184-A923-EB917B0A8B07> /usr/lib/libsqlite3.dylib
0xa12b1000 - 0xa1301fff  libstdc++.6.dylib (104.1) <8D989D80-AE27-3395-ABDE-6C088F7ED35E> /usr/lib/libstdc++.6.dylib
0xa1337000 - 0xa1345ff7  libxar.1.dylib (357) <5360083D-A282-340D-9D38-78CE4353DE1E> /usr/lib/libxar.1.dylib
0xa1346000 - 0xa142aff7  libxml2.2.dylib (30.16) <8CF7B763-B251-3040-B1A0-97BFDD933327> /usr/lib/libxml2.2.dylib
0xa142b000 - 0xa1453ff3  libxslt.1.dylib (15.9) <7BC6901B-5887-351C-B98A-653DC0F0051B> /usr/lib/libxslt.1.dylib
0xa1454000 - 0xa1462ff7  libz.1.dylib (67) <6545D126-B808-3930-9225-547325D7158E> /usr/lib/libz.1.dylib
0xa1471000 - 0xa1475fff  libcache.dylib (79) <9F30A683-710A-3C8D-A2FB-2257836ECCED> /usr/lib/system/libcache.dylib
0xa1476000 - 0xa1480fff  libcommonCrypto.dylib (60092.50.5) <8442530A-11E0-3F98-8F7F-502DA217D592> /usr/lib/system/libcommonCrypto.dylib
0xa1481000 - 0xa1486ff3  libcompiler_rt.dylib (62) <5D58992A-65F7-3045-91CB-47D044702A95> /usr/lib/system/libcompiler_rt.dylib
0xa1487000 - 0xa148fff7  libcopyfile.dylib (138) <DD413176-AC1C-3CF7-82A4-8A50236F2384> /usr/lib/system/libcopyfile.dylib
0xa1490000 - 0xa14f6ffb  libcorecrypto.dylib (442.50.19) <BB74D557-1578-3286-BC6C-4F1AD07A238E> /usr/lib/system/libcorecrypto.dylib
0xa14f7000 - 0xa1524ff3  libdispatch.dylib (703.50.37) <F745CCFB-5079-3C7D-841E-127B6202E0E6> /usr/lib/system/libdispatch.dylib
0xa1525000 - 0xa152aff7  libdyld.dylib (433.5) <5D921465-7304-3682-A8C0-638D01D0DACA> /usr/lib/system/libdyld.dylib
0xa152b000 - 0xa152bfff  libkeymgr.dylib (28) <6629C3DA-A8E6-3FD6-A760-63283F62086A> /usr/lib/system/libkeymgr.dylib
0xa152c000 - 0xa1538ff7  libkxld.dylib (3789.60.24) <A2804449-253F-3124-A93E-FB0BAF8940BB> /usr/lib/system/libkxld.dylib
0xa1539000 - 0xa1539fff  liblaunch.dylib (972.60.2) <CDDF7DAB-1BEA-3B44-8190-22B4E53E9F60> /usr/lib/system/liblaunch.dylib
0xa153a000 - 0xa1540ff7  libmacho.dylib (898) <9E1BA433-73C1-3388-B2C7-87E5216A9044> /usr/lib/system/libmacho.dylib
0xa1541000 - 0xa1543fff  libquarantine.dylib (85.50.1) <07DDD214-4E3C-3F6A-96F2-24A4E59584B8> /usr/lib/system/libquarantine.dylib
0xa1544000 - 0xa1545fff  libremovefile.dylib (45) <CA000707-14D4-30CB-8F91-4C0C4B53B6D7> /usr/lib/system/libremovefile.dylib
0xa1546000 - 0xa155dff7  libsystem_asl.dylib (349.50.5) <5F395C00-0DC3-3662-A91E-3E39432EED72> /usr/lib/system/libsystem_asl.dylib
0xa155e000 - 0xa155efff  libsystem_blocks.dylib (67) <D37B310D-6B17-3C2C-B45D-6A8C5F57CB9A> /usr/lib/system/libsystem_blocks.dylib
0xa155f000 - 0xa15edff3  libsystem_c.dylib (1158.50.2) <07F8DD95-5E2F-3D72-9E6A-0E78F9574FA6> /usr/lib/system/libsystem_c.dylib
0xa15ee000 - 0xa15f1fff  libsystem_configuration.dylib (888.60.2) <3DE7BA55-3976-3D2B-86A0-AFEE45B4F1C2> /usr/lib/system/libsystem_configuration.dylib
0xa15f2000 - 0xa15f5fff  libsystem_coreservices.dylib (41.4) <C0D0ADDA-5F9C-3692-9C8B-8178D2614443> /usr/lib/system/libsystem_coreservices.dylib
0xa15f6000 - 0xa160effb  libsystem_coretls.dylib (121.50.4) <D8DF4A0A-75E4-3AAB-B2A2-9303558DB3A7> /usr/lib/system/libsystem_coretls.dylib
0xa160f000 - 0xa1615ffb  libsystem_dnssd.dylib (765.50.9) <A98E4FD6-23D6-393B-B2DF-D685EA397E16> /usr/lib/system/libsystem_dnssd.dylib
0xa1616000 - 0xa163dff7  libsystem_info.dylib (503.50.4) <10952DC1-D6BB-3658-9C43-54AB68B2017E> /usr/lib/system/libsystem_info.dylib
0xa163e000 - 0xa165fff3  libsystem_kernel.dylib (3789.60.24) <7BE5BB5A-28C9-34BE-AF78-57DD55A4702F> /usr/lib/system/libsystem_kernel.dylib
0xa1660000 - 0xa16acffb  libsystem_m.dylib (3121.6) <D09D8CFF-474F-3B6E-92D9-0A0B5A67A27C> /usr/lib/system/libsystem_m.dylib
0xa16ad000 - 0xa16c7fff  libsystem_malloc.dylib (116.50.8) <A35351C9-0792-3A1E-8EA2-D23B91E920D7> /usr/lib/system/libsystem_malloc.dylib
0xa16c8000 - 0xa171effb  libsystem_network.dylib (856.60.1) <814835EE-F034-37D2-8FCC-217A8A3C4374> /usr/lib/system/libsystem_network.dylib
0xa171f000 - 0xa1728fff  libsystem_networkextension.dylib (563.60.2) <B56AE209-208C-39DE-AF58-DB1157F44BAD> /usr/lib/system/libsystem_networkextension.dylib
0xa1729000 - 0xa1731ffb  libsystem_notify.dylib (165.20.1) <7F46FB6C-0826-3506-83A8-7FC3B1518CC0> /usr/lib/system/libsystem_notify.dylib
0xa1732000 - 0xa1738feb  libsystem_platform.dylib (126.50.8) <7557B268-BE31-3AB4-86B6-9A5BCEF46A71> /usr/lib/system/libsystem_platform.dylib
0xa1739000 - 0xa1742ffb  libsystem_pthread.dylib (218.60.3) <D8F8838C-884F-3BDB-94EB-CC980879E572> /usr/lib/system/libsystem_pthread.dylib
0xa1743000 - 0xa1746ffb  libsystem_sandbox.dylib (592.60.1) <D0E74CB6-083D-3D8A-A856-63B31F8A6803> /usr/lib/system/libsystem_sandbox.dylib
0xa1747000 - 0xa1749fff  libsystem_secinit.dylib (24.50.4) <C109B933-EF89-3B0F-B14B-A85649439678> /usr/lib/system/libsystem_secinit.dylib
0xa174a000 - 0xa1751ff7  libsystem_symptoms.dylib (532.50.47) <C6142AA8-242B-35F3-A0FB-9AC078DA090A> /usr/lib/system/libsystem_symptoms.dylib
0xa1752000 - 0xa1764ffb  libsystem_trace.dylib (518.60.2) <BE958A68-4171-364B-B917-9003618858FE> /usr/lib/system/libsystem_trace.dylib
0xa1765000 - 0xa176bffb  libunwind.dylib (35.3) <EDA423D6-B30C-3DF9-AB11-DE09F8BC4573> /usr/lib/system/libunwind.dylib
0xa176c000 - 0xa1792fff  libxpc.dylib (972.60.2) <F97C3E5B-07CD-3C42-A614-CED36989E678> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 759107
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=233.1M resident=0K(0%) swapped_out_or_unallocated=233.1M(100%)
Writable regions: Total=136.1M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=136.1M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Accelerate framework               256K        2 
Activity Tracing                   256K        2 
CG backing stores                 3496K        4 
CG image                          2332K        7 
CoreAnimation                      104K       12 
CoreServices                       124K        2 
CoreUI image data                  448K        5 
CoreUI image file                  340K        7 
Foundation                           4K        2 
Image IO                          5388K        4 
Kernel Alloc Once                    8K        2 
MALLOC                            93.8M       41 
MALLOC guard page                   48K       10 
Memory Tag 242                      12K        2 
OpenGL GLSL                        128K        3 
Stack                             10.5M        9 
Stack Guard                       56.0M        7 
VM_ALLOCATE                        344K       27 
__DATA                            15.0M      225 
__GLSLBUILTINS                    2588K        2 
__IMAGE                            528K        2 
__LINKEDIT                        62.6M       10 
__OBJC                            3188K       88 
__TEXT                           170.5M      230 
__UNICODE                          556K        2 
mapped file                      181.4M      147 
shared memory                     16.4M       15 
===========                     =======  ======= 
TOTAL                            625.9M      842 

Model: Macmini5,2, BootROM MM51.0077.B1B, 2 processors, Intel Core i5, 2.5 GHz, 16 GB, SMC 1.75f0
Graphics: AMD Radeon HD 6630M, AMD Radeon HD 6630M, PCIe, 256 MB
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1333 MHz, 0x859B, 0x435438473353313333394D2E4D3136464544
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1333 MHz, 0x859B, 0x435438473353313333394D2E4D3136464544
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xE4), Broadcom BCM43xx 1.0 (5.106.98.100.24)
Bluetooth: Version 5.0.4f18, 3 services, 27 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: Crucial_CT500MX200SSD1, 500.11 GB
USB Device: USB 2.0 Bus
USB Device: Hub
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
USB Device: USB 2.0 Bus
USB Device: Hub
USB Device: 2.4G Keyboard Mouse
USB Device: IR Receiver
Thunderbolt Bus: Mac mini, Apple Inc., 22.2

Steven Campbell

2017-08-01 15:26

Developer   ~0054713

Fixed in Red IDE/GitHub Pull Request 3526
Git Ids: e2fe17ca13cb54e9fcf86de421413daee8b73013 [e2fe17c]

Dan

2017-10-06 13:48

Adminstrator   ~0055984

Stops the SWF crash, but does nothing to block swf/spine sprites being used as tilesets. Reopening.

Dan

2017-10-17 15:55

Adminstrator   ~0056168

Last edited: 2017-10-17 15:57

View 2 revisions

The file-picker next to the sprite name has indeed been fixed for when creating new tile sets, however three other routes remain for setting a tile set to be a swf/spine image.

Have added new repro steps to cover these and screenshots to illustrate.

Dan

2017-10-17 15:57

Adminstrator  

Screenshot_1.png (52,919 bytes)
Screenshot_1.png (52,919 bytes)
Screenshot_2.png (111,732 bytes)
Screenshot_2.png (111,732 bytes)

Alan Savage

2018-03-09 10:24

Developer   ~0058003

fixes the remaining three routes for tileset sprite assignment

Stewart Bishop

2018-06-29 10:01

Adminstrator   ~0060744

The third set of reproduction steps still works for SWF/Spine tilesets

Alan Savage

2018-07-02 12:12

Developer   ~0060784

0defc334c6ac138891bf4f4239287a9471838efe - blocks spine/swf import when sprite already assigned to a tileset